import { __name as e } from "./chunks/mermaid-parser.core/chunk-K5T4RW27.js";
import "./chunks/mermaid-parser.core/chunk-7N4EOEYR.js";
import "./chunks/mermaid-parser.core/chunk-67CJDMHE.js";
import "./chunks/mermaid-parser.core/chunk-KGLVRYIC.js";
import "./chunks/mermaid-parser.core/chunk-FOC6F5B3.js";
import "./chunks/mermaid-parser.core/chunk-AA7GKIK3.js";
import "./chunks/mermaid-parser.core/chunk-2KRD3SAO.js";
import "./chunks/mermaid-parser.core/chunk-ORNJ4GCN.js";
import "./chunks/mermaid-parser.core/chunk-LIHQZDEY.js";
import "./chunks/mermaid-parser.core/chunk-CIAEETIT.js";
//#region ../../node_modules/@mermaid-js/parser/dist/mermaid-parser.core.mjs
var t = {}, n = {
	info: /* @__PURE__ */ e(async () => {
		let { createInfoServices: e } = await import("./chunks/mermaid-parser.core/info-OMHHGYJF.js");
		t.info = e().Info.parser.LangiumParser;
	}, "info"),
	packet: /* @__PURE__ */ e(async () => {
		let { createPacketServices: e } = await import("./chunks/mermaid-parser.core/packet-4T2RLAQJ.js");
		t.packet = e().Packet.parser.LangiumParser;
	}, "packet"),
	pie: /* @__PURE__ */ e(async () => {
		let { createPieServices: e } = await import("./chunks/mermaid-parser.core/pie-ZZUOXDRM.js");
		t.pie = e().Pie.parser.LangiumParser;
	}, "pie"),
	treeView: /* @__PURE__ */ e(async () => {
		let { createTreeViewServices: e } = await import("./chunks/mermaid-parser.core/treeView-SZITEDCU.js");
		t.treeView = e().TreeView.parser.LangiumParser;
	}, "treeView"),
	architecture: /* @__PURE__ */ e(async () => {
		let { createArchitectureServices: e } = await import("./chunks/mermaid-parser.core/architecture-YZFGNWBL.js");
		t.architecture = e().Architecture.parser.LangiumParser;
	}, "architecture"),
	gitGraph: /* @__PURE__ */ e(async () => {
		let { createGitGraphServices: e } = await import("./chunks/mermaid-parser.core/gitGraph-7Q5UKJZL.js");
		t.gitGraph = e().GitGraph.parser.LangiumParser;
	}, "gitGraph"),
	radar: /* @__PURE__ */ e(async () => {
		let { createRadarServices: e } = await import("./chunks/mermaid-parser.core/radar-PYXPWWZC.js");
		t.radar = e().Radar.parser.LangiumParser;
	}, "radar"),
	treemap: /* @__PURE__ */ e(async () => {
		let { createTreemapServices: e } = await import("./chunks/mermaid-parser.core/treemap-W4RFUUIX.js");
		t.treemap = e().Treemap.parser.LangiumParser;
	}, "treemap"),
	wardley: /* @__PURE__ */ e(async () => {
		let { createWardleyServices: e } = await import("./chunks/mermaid-parser.core/wardley-RL74JXVD.js");
		t.wardley = e().Wardley.parser.LangiumParser;
	}, "wardley")
};
async function r(e, r) {
	let a = n[e];
	if (!a) throw Error(`Unknown diagram type: ${e}`);
	t[e] || await a();
	let o = t[e].parse(r);
	if (o.lexerErrors.length > 0 || o.parserErrors.length > 0) throw new i(o);
	return o.value;
}
e(r, "parse");
var i = class extends Error {
	constructor(e) {
		let t = e.lexerErrors.map((e) => `Lexer error on line ${e.line !== void 0 && !isNaN(e.line) ? e.line : "?"}, column ${e.column !== void 0 && !isNaN(e.column) ? e.column : "?"}: ${e.message}`).join("\n"), n = e.parserErrors.map((e) => `Parse error on line ${e.token.startLine !== void 0 && !isNaN(e.token.startLine) ? e.token.startLine : "?"}, column ${e.token.startColumn !== void 0 && !isNaN(e.token.startColumn) ? e.token.startColumn : "?"}: ${e.message}`).join("\n");
		super(`Parsing failed: ${t} ${n}`), this.result = e;
	}
	static {
		e(this, "MermaidParseError");
	}
};
//#endregion
export { r as parse };
